# Class: Haml::Parser::DynamicAttributes

Inherits:
  Struct
  - Object
  - Struct
  - Haml::Parser::DynamicAttributes
  show all

Defined in:
  lib/haml/parser.rb

## Overview

## Instance Attribute Summary collapse

- #old ⇒ Object writeonly

  Sets the attribute old.

## Instance Method Summary collapse

- #to_literal

  This will be a literal for Haml::Buffer#attributes’s last argument, `attributes_hashes`.

## Instance Attribute Details

### #old=(value) ⇒ `Object`

Sets the attribute old

Parameters:

- value (`Object`) —

  the value to set the attribute old to.

Returns:

- (`Object`) —

  the newly set value

    215
    216
    217

    # File 'lib/haml/parser.rb', line 215

    def old=(value)
      @old = value
    end

## Instance Method Details

### #to_literal

This will be a literal for Haml::Buffer#attributes’s last argument, `attributes_hashes`.

    225
    226
    227

    # File 'lib/haml/parser.rb', line 225

    def to_literal
      [new, stripped_old].compact.join(', ')
    end